# cwltool.cwlprov

Stores Research Object including provenance.

## Submodules

- cwltool.cwlprov.provenance_constants
- cwltool.cwlprov.provenance_profile
- cwltool.cwlprov.ro
- cwltool.cwlprov.writablebagfile

## Attributes

`Annotation` |

## Classes

`Aggregate` | RO Aggregate class.
`AuthoredBy` | RO AuthoredBy class.

## Functions

`checksum_copy`(src_file[, dst_file, hasher, buffersize]) | Compute checksums while copying a file.

## Package Contents

cwltool.cwlprov.Annotation

class cwltool.cwlprov.Aggregate

  Bases: `TypedDict`

  RO Aggregate class.

  uri: str | None
  bundledAs: dict[str, Any] | None
  mediatype: str | None
  conformsTo: str | list[str] | None
  createdOn: str | None
  createdBy: dict[str, str] | None

class cwltool.cwlprov.AuthoredBy

  Bases: `TypedDict`

  RO AuthoredBy class.

  orcid: str | None
  name: str | None
  uri: str | None

cwltool.cwlprov.checksum_copy(src_file, dst_file=None, hasher=None, buffersize=1024 * 1024)

  Compute checksums while copying a file.

  Parameters:

    - src_file (IO[Any])

    - dst_file (IO[Any] | None)

    - hasher (collections.abc.Callable[[], hashlib._Hash] | None)

    - buffersize (int)

  Return type:

    str